# Makefile.in generated automatically by automake 1.2h from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AR = @AR@
A_STDIO = @A_STDIO@
CC = @CC@
CHMOD = @CHMOD@
COMPRESS = @COMPRESS@
CP = @CP@
CVS = @CVS@
HTWAIS = @HTWAIS@
HTZLIB = @HTZLIB@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MKDIR = @MKDIR@
PACKAGE = @PACKAGE@
PREVIOUS_VERSION = @PREVIOUS_VERSION@
RANLIB = @RANLIB@
RM = @RM@
SED = @SED@
TAR = @TAR@
VERSION = @VERSION@
ac_afsws_fs_found = @ac_afsws_fs_found@
ac_bn = @ac_bn@
ac_sys_afs_sysname = @ac_sys_afs_sysname@
have_resolv_conf = @have_resolv_conf@
have_rlogin = @have_rlogin@
have_telnet = @have_telnet@
have_tn3270 = @have_tn3270@
icondir = @icondir@
subdirs = @subdirs@

bin_PROGRAMS = webbot

webbot_LDADD = ../../Library/src/libwww.a -lm

webbot_DEPENDENCIES = \
	../../Library/src/libwww.a

SUBDIRS = windows

INCLUDES = -I$(srcdir)/../../Library/src

#	.h files are distributed but originally are made from the
#	self-documenting hypertext files.
SUFFIXES = .h .html

webbot_SOURCES = \
	HTRobot.c

BUILT_SOURCES = \
	HTRobot.h

EXTRA_DIST = \
	 $(BUILT_SOURCES) \
	Robot.tcl \
	robot.sh

PURIFY_CACHE = @PURIFY_CACHE@
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
webbot_OBJECTS =  HTRobot.o
webbot_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

GZIP = --best
SOURCES = $(webbot_SOURCES)
OBJECTS = $(webbot_OBJECTS)

all: all-recursive all-am

.SUFFIXES:
.SUFFIXES: .S .c .h .html .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Robot/src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

webbot: $(webbot_OBJECTS) $(webbot_DEPENDENCIES)
	@rm -f webbot
	$(LINK) $(webbot_LDFLAGS) $(webbot_OBJECTS) $(webbot_LDADD) $(LIBS)

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.

@SET_MAKE@

all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	done; \
	for subdir in $$rev; do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = Robot/src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do \
	  test -d $(distdir)/$$subdir \
	  || mkdir $(distdir)/$$subdir \
	  || exit 1; \
	  chmod 777 $(distdir)/$$subdir; \
	  (cd $$subdir && $(MAKE) top_distdir=../$(top_distdir) distdir=../$(distdir)/$$subdir distdir) \
	    || exit 1; \
	done
HTRobot.o: HTRobot.c ../../Library/src/WWWLib.h \
	../../Library/src/sysdep.h ../../config.h \
	../../Library/src/WWWUtil.h ../../Library/src/HTUtils.h \
	../../Library/src/HTMemory.h ../../Library/src/HTArray.h \
	../../Library/src/HTAssoc.h ../../Library/src/HTList.h \
	../../Library/src/HTAtom.h ../../Library/src/HTChunk.h \
	../../Library/src/HTString.h ../../Library/src/HTUU.h \
	../../Library/src/WWWCore.h ../../Library/src/HTLib.h \
	../../Library/src/HTUser.h ../../Library/src/HTReq.h \
	../../Library/src/HTEvent.h ../../Library/src/HTFormat.h \
	../../Library/src/HTStream.h ../../Library/src/HTAnchor.h \
	../../Library/src/HTLink.h ../../Library/src/HTMethod.h \
	../../Library/src/HTResponse.h ../../Library/src/HTError.h \
	../../Library/src/HTNet.h ../../Library/src/HTTrans.h \
	../../Library/src/HTIOStream.h ../../Library/src/HTChannl.h \
	../../Library/src/HTHost.h ../../Library/src/HTProt.h \
	../../Library/src/HTTimer.h ../../Library/src/HTDNS.h \
	../../Library/src/HTParse.h ../../Library/src/HTEscape.h \
	../../Library/src/HTUTree.h ../../Library/src/HTWWWStr.h \
	../../Library/src/HTMemLog.h ../../Library/src/HTAlert.h \
	../../Library/src/HTBind.h ../../Library/src/HTStruct.h \
	../../Library/src/HTFWrite.h ../../Library/src/HTInet.h \
	../../Library/src/HTHstMan.h ../../Library/src/WWWApp.h \
	../../Library/src/HTEvtLst.h ../../Library/src/HTHome.h \
	../../Library/src/HTDialog.h ../../Library/src/HTAccess.h \
	../../Library/src/HTRules.h ../../Library/src/HTProxy.h \
	../../Library/src/HTFilter.h ../../Library/src/HTLog.h \
	../../Library/src/HTHist.h ../../Library/src/WWWTrans.h \
	../../Library/src/HTANSI.h ../../Library/src/HTLocal.h \
	../../Library/src/HTTCP.h ../../Library/src/HTSocket.h \
	../../Library/src/HTReader.h ../../Library/src/HTWriter.h \
	../../Library/src/HTBufWrt.h ../../Library/src/WWWInit.h \
	../../Library/src/HTProfil.h ../../Library/src/HTInit.h \
	../../Library/src/WWWHTTP.h ../../Library/src/HTTPUtil.h \
	../../Library/src/HTTP.h ../../Library/src/HTTPServ.h \
	../../Library/src/HTTPGen.h ../../Library/src/HTTPReq.h \
	../../Library/src/HTTPRes.h ../../Library/src/HTTChunk.h \
	../../Library/src/HTPEP.h ../../Library/src/HTAAUtil.h \
	../../Library/src/HTAABrow.h ../../Library/src/WWWFile.h \
	../../Library/src/HTFile.h ../../Library/src/HTMulti.h \
	../../Library/src/WWWFTP.h ../../Library/src/HTFTP.h \
	../../Library/src/HTFTPDir.h ../../Library/src/WWWGophe.h \
	../../Library/src/HTGopher.h ../../Library/src/WWWTelnt.h \
	../../Library/src/HTTelnet.h ../../Library/src/WWWNews.h \
	../../Library/src/HTNews.h ../../Library/src/HTNewsRq.h \
	../../Library/src/HTNewsLs.h ../../Library/src/HTNDir.h \
	../../Library/src/WWWMIME.h ../../Library/src/HTMIME.h \
	../../Library/src/HTHeader.h ../../Library/src/HTMIMERq.h \
	../../Library/src/HTMIMImp.h ../../Library/src/HTBound.h \
	../../Library/src/HTMulpar.h ../../Library/src/WWWHTML.h \
	../../Library/src/HTMLPDTD.h ../../Library/src/SGML.h \
	../../Library/src/HTMLGen.h ../../Library/src/HTTeXGen.h \
	../../Library/src/WWWStream.h ../../Library/src/HTConLen.h \
	../../Library/src/HTGuess.h ../../Library/src/HTTee.h \
	../../Library/src/HTMerge.h ../../Library/src/HTSChunk.h \
	../../Library/src/HTXParse.h ../../Library/src/WWWDir.h \
	../../Library/src/HTDir.h ../../Library/src/HTIcons.h \
	../../Library/src/HTDescpt.h ../../Library/src/WWWCache.h \
	../../Library/src/HTCache.h ../../Library/src/WWWZip.h \
	../../Library/src/HTZip.h ../../Library/src/HTHInit.h \
	../../Library/src/HTML.h ../../Library/src/HTPlain.h \
	../../Library/src/HTBInit.h ../../Library/src/HText.h \
	../../Library/src/HTStyle.h HTRobot.h

info: info-recursive
dvi: dvi-recursive
check: all-am
	$(MAKE) check-recursive
installcheck: installcheck-recursive
all-am: Makefile $(PROGRAMS)

install-exec-am: install-binPROGRAMS

uninstall-am: uninstall-binPROGRAMS

install-exec: install-exec-recursive install-exec-am
	@$(NORMAL_INSTALL)

install-data: install-data-recursive
	@$(NORMAL_INSTALL)

install: install-recursive install-exec-am
	@:

uninstall: uninstall-recursive uninstall-am

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs: installdirs-recursive
	$(mkinstalldirs)  $(DATADIR)$(bindir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am

mostlyclean:  mostlyclean-recursive mostlyclean-am

clean:  clean-recursive clean-am

distclean:  distclean-recursive distclean-am
	-rm -f config.status

maintainer-clean:  maintainer-clean-recursive maintainer-clean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile install-data-recursive \
uninstall-data-recursive install-exec-recursive \
uninstall-exec-recursive installdirs-recursive uninstalldirs-recursive \
all-recursive check-recursive installcheck-recursive info-recursive \
dvi-recursive mostlyclean-recursive distclean-recursive clean-recursive \
maintainer-clean-recursive tags tags-recursive mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck all-am install-exec-am uninstall-am install-exec \
install-data install uninstall all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean

.html.h:
	www -w90 -na -p -to text/x-c $(srcdir)/$(*F).html > $(srcdir)/$(*F).h

inc: $(BUILT_SOURCES)
	@echo Generated built sources

purify: $(webbot_OBJECTS) $(webbot_DEPENDENCIES)
	-rm purify; \
	purify -cache-dir=$(PURIFY_CACHE) \
	$(CC) $(LDFLAGS) -o purify $(webbot_OBJECTS) $(webbot_LDADD) $(LIBS)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
